Bug 446441

Summary: qdbus org.kde.klipper /klipper getClipboardContents only returns a shortened form of the clipboard contents with appended "..."
Product: plasmashell Reporter: Ulty Dirkinson <ultyxxx>
Component: ClipboardAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: kde, nate
Priority: NOR    
Version: 5.23.3   
Target Milestone: 1.0   
Platform: Manjaro   
OS: Linux   
Latest Commit: Version Fixed In: 5.23.5

Description Ulty Dirkinson 2021-12-03 19:18:59 UTC
SUMMARY
***
qdbus org.kde.klipper /klipper getClipboardContents   > a.txt
only returns a shortened form of the clipboard contents with appended "..." 

It breaks my use case of highlighting text and then using a shortcut to send it into text to speech
qdbus org.kde.klipper /klipper getClipboardContents | espeak --stdin
***


STEPS TO REPRODUCE
1. Highlight or copy a long pice of text so it is stored in the clipboard
2. Run "qdbus org.kde.klipper /klipper getClipboardContents   > a.txt" in a Terminal


OBSERVED RESULT
get only first 20 or so characters of clipboard contents

EXPECTED RESULT
get full clipboard contents of the current top entry


SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.23.3
KDE Frameworks Version: ?
Qt Version: 5.12.2
Comment 1 Nate Graham 2021-12-03 20:57:15 UTC
Can reproduce. Is this a recent regression? Did it work in the past? If so, do you think you can remember when it broke?
Comment 2 Ulty Dirkinson 2021-12-04 08:50:14 UTC
It did work until recently. 
I think it broke some time in November.
I noticed it about two weeks ago.
Comment 3 Ulty Dirkinson 2021-12-04 13:17:41 UTC
(In reply to Nate Graham from comment #1)
> Can reproduce. Is this a recent regression? Did it work in the past? If so,
> do you think you can remember when it broke?

(see comment below)
Comment 4 David Edmundson 2021-12-05 07:26:16 UTC
Almost certainly from f9669af2cfa6afdf6567ded5159c45ea8ab6c947
Comment 5 Bug Janitor Service 2021-12-05 09:18:08 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1249
Comment 6 Nate Graham 2021-12-05 15:05:54 UTC
Git commit 2db375f6a71cb730e1e099f9ff17ef7092850d9d by Nate Graham, on behalf of David Edmundson.
Committed on 05/12/2021 at 14:53.
Pushed by ngraham into branch 'master'.

[klipper] Use full text for DBus return values

In a recent commit HistoryItem::text() became the visual representation
of the mimedata; often a truncated string.

mimeData()->text() always returns the full value.

M  +1    -1    klipper/klipper.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/2db375f6a71cb730e1e099f9ff17ef7092850d9d
Comment 7 Nate Graham 2021-12-05 16:48:23 UTC
Git commit c8b8c8dd389ae381831fdd23f354617f48f3edd4 by Nate Graham, on behalf of David Edmundson.
Committed on 05/12/2021 at 16:48.
Pushed by ngraham into branch 'Plasma/5.23'.

[klipper] Use full text for DBus return values

In a recent commit HistoryItem::text() became the visual representation
of the mimedata; often a truncated string.

mimeData()->text() always returns the full value.


(cherry picked from commit 2db375f6a71cb730e1e099f9ff17ef7092850d9d)

M  +1    -1    klipper/klipper.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/c8b8c8dd389ae381831fdd23f354617f48f3edd4
Comment 8 Ulty Dirkinson 2022-01-23 11:54:29 UTC
The fix landed in manjaro today. 
Can confirm that it is fixed now.